package co.com.certicamara.controlador;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import co.com.certicamara.dto.EntidadRespuestaError;
import co.com.certicamara.dto.EntidadSolicitudDto;
import co.com.certicamara.servicio.TrustedServicio;

@RestController
@RequestMapping("/certificate")
public class CertificadoControlador {

	@Autowired
	TrustedServicio trustedServicio;

	@PostMapping("/list")
	private Object listarCertificado(@RequestBody EntidadSolicitudDto entidad) {
		try {
			if (entidad.getNuip() != null && !entidad.getNuip().isEmpty()) {
				String nuip = entidad.getNuip().trim();
				entidad.setNuip(nuip);
				return trustedServicio.listarCertificados(entidad);
			} else {
				return new EntidadRespuestaError("409", "El NUIP no puede estar vacio.", "Error en la peticion");
			}
		} catch (Exception e) {
			return new EntidadRespuestaError("204", "error.", e.getMessage());
		}
	}

}
